package com.zcloud.basic.info.domain.gateway;

import com.zcloud.basic.info.domain.model.UserCorpE;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2025-12-02 11:13:33
 */
public interface UserCorpGateway {

    /**
     * 新增
     */
    Boolean add(UserCorpE userCorpE);

    /**
     * 修改
     */
    Boolean update(UserCorpE userCorpE);

    /**
     * 删除
     */
    Boolean deletedUserCorpById(Long id);

    Boolean deletedUserCorpByIds(Long[] id);
}

